from django.contrib.auth import views
from django.urls import path
from .views import (
    Profile, verify, trade_bch, trade_eth, trade_ltc, trade_usdt, reports, user_auth,trade_leo,trade_pax,trade_wbtc,trade_link,trade_uni,trade_maker
)
from .views import *
from .views2 import *
app_name = 'account'

urlpatterns = [

    path('profile/', Profile.as_view(), name="profile"),
    path('verify/', verify, name='verify'),
    path('home/', home, name='home'),
    path('home/tether/', home2, name='home2'),
    path('home/', log_out, name='log_out'),
    path('home/<str:ref_code>', home, name='home'),
    path('home/delete_item/<str:id>/', delete_item, name='delete_item'),
    path('home/delete_item/<str:id>/tether', delete_item2, name='delete_item'),


    path('wallet/', wallet, name='wallet'),
    path('profile_overview/', profile_overview, name='profile_overview'),
    path('notification/', profile_email, name='profile_email'),
    path('tickets/', tickets, name='tickets'),
    path('trade_btc/', trade, name='trade'),
    path('trade-eth/', trade_eth, name='trade-eth'),
    path('trade-ltc/', trade_ltc, name='trade-ltc'),
    path('trade-bch/', trade_bch, name='trade-bch'),
    path('trade-usdt/', trade_usdt, name='trade-usdt'),
    path('trade-pax/', trade_pax, name='trade-pax'),
    path('trade-leo/', trade_leo, name='trade-leo'),
    path('trade-uni/', trade_uni, name='trade-uni'),
    path('trade-maker/', trade_maker, name='trade-maker'),
    path('trade-wbtc/', trade_wbtc, name='trade-wbtc'),
    path('trade-link/', trade_link, name='trade-link'),
    path('trade-dash/', trade_dash, name='trade-dash'),
    path('reports/', reports, name='reports'),
    path('authentication/', user_auth, name='user_auth'),
    path('add_wallet/', wallet_add, name='add_wallet'),
    path('wallet_verify/<int:rands>/<str:cryp>/<str:addr>/', wverify, name='wverify'),
    # path('p2p/', p2p_sale, name='p2p_sale'),
    path('p2p/recent', p2p_sale_recent, name='p2p_recent'),
    path('p2p/lowest', p2p_sale_lowest, name='p2p_lowest'),
    path('p2p/highest', p2p_sale_highest, name='p2p_highest'),
    path('p2p/max', p2p_sale_max, name='p2p_max'),
    path('p2p/min', p2p_sale_min, name='p2p_min'),
    path('p2p_sale/', p2p_sale, name='p2p_sale'),
    path('<slug:slug>', p2p_detail_btc, name='detail_btc'),
    path('p2p/EOS', p2p_sale_EOS, name='p2p_sale_EOS'),
    path('p2p/VET', p2p_sale_VET, name='p2p_sale_VET'),
    path('p2p/TRX', p2p_sale_TRX, name='p2p_sale_TRX'),
    path('p2p/STEEM', p2p_sale_STEEM, name='p2p_sale_STEEM'),
    path('p2p/QTUM', p2p_sale_QTUM, name='p2p_sale_QTUM'),
    path('p2p/ONT', p2p_sale_ONT, name='p2p_sale_ONT'),
    path('p2p/OMG', p2p_sale_OMG, name='p2p_sale_OMG'),
    path('p2p/NEO', p2p_sale_NEO, name='p2p_sale_NEO'),
    path('p2p/MIOTA', p2p_sale_MIOTA, name='p2p_sale_MIOTA'),
    path('p2p/LSK', p2p_sale_LSK, name='p2p_sale_LSK'),
    path('p2p/KMD', p2p_sale_KMD, name='p2p_sale_KMD'),
    path('p2p/ICX', p2p_sale_ICX, name='p2p_sale_ICX'),
    path('p2p/ETC', p2p_sale_ETC, name='p2p_sale_ETC'),
    path('p2p/DOGE', p2p_sale_DOGE, name='p2p_sale_DOGE'),
    path('p2p/BTG', p2p_sale_BTG, name='p2p_sale_BTG'),
    path('p2p/BNB', p2p_sale_BNB, name='p2p_sale_BNB'),
    path('p2p/BCN', p2p_sale_BCN, name='p2p_sale_BCN'),
    path('p2p/BCH', p2p_sale_BCH, name='p2p_sale_BCH'),
    path('p2p/AE', p2p_sale_AE, name='p2p_sale_AE'),
    path('p2p/ADA', p2p_sale_ADA, name='p2p_sale_ADA'),
    path('p2p/XEM', p2p_sale_XEM, name='p2p_sale_XEM'),
    path('p2p/XLM', p2p_sale_XLM, name='p2p_sale_XLM'),
    path('p2p/XMR', p2p_sale_XMR, name='p2p_sale_XMR'),
    path('p2p/XVG', p2p_sale_XVG, name='p2p_sale_XVG'),
    path('p2p/ZEC', p2p_sale_ZEC, name='p2p_sale_ZEC'),
    path('p2p/ZIL', p2p_sale_ZIL, name='p2p_sale_ZIL'),
    path('notifications/<int:id>', notifications_check, name='notifications_check'),
    path('notifications/', notifications, name='notifications'),


    path('trade_btc/tether/', trade2, name='trade2'),
    path('trade-eth/tether/', trade_eth2, name='trade-eth2'),
    path('trade-ltc/tether/', trade_ltc2, name='trade-ltc2'),
    path('trade-bch/tether/', trade_bch2, name='trade-bch2'),
    path('trade-usdt/tether/', trade_usdt2, name='trade-usdt2'),
    path('trade-pax/tether/', trade_pax2, name='trade-pax2'),
    path('trade-leo/tether/', trade_leo2, name='trade-leo2'),
    path('trade-uni/tether/', trade_uni2, name='trade-uni2'),
    path('trade-maker/tether/', trade_maker2, name='trade-maker2'),
    path('trade-wbtc/tether/', trade_wbtc2, name='trade-wbtc2'),
    path('trade-link/tether/', trade_link2, name='trade-link2'),
    path('trade-dash/tether/', trade_dash2, name='trade-dash2'),
    path('reports/tether/', reports2, name='reports2'),

    path('p2p/recent/tether/', p2p_sale_recent2, name='p2p_recent2'),
    path('p2p/lowest/tether/', p2p_sale_lowest2, name='p2p_lowest2'),
    path('p2p/highest/tether/', p2p_sale_highest2, name='p2p_highest2'),
    path('p2p/max/tether/', p2p_sale_max2, name='p2p_max2'),
    path('p2p/min/tether/', p2p_sale_min2, name='p2p_min2'),
    path('p2p_sale/tether//', p2p_sale2, name='p2p_sale2'),
    path('<slug:slug>/tether/', p2p_detail_btc2, name='detail_btc2'),
    path('p2p/EOS/tether/', p2p_sale_EOS2, name='p2p_sale_EOS2'),
    path('p2p/VET/tether/', p2p_sale_VET2, name='p2p_sale_VET2'),
    path('p2p/TRX/tether/', p2p_sale_TRX2, name='p2p_sale_TRX2'),
    path('p2p/STEEM/tether/', p2p_sale_STEEM2, name='p2p_sale_STEEM2'),
    path('p2p/QTUM/tether/', p2p_sale_QTUM2, name='p2p_sale_QTUM2'),
    path('p2p/ONT/tether/', p2p_sale_ONT2, name='p2p_sale_ONT2'),
    path('p2p/OMGtether/', p2p_sale_OMG2, name='p2p_sale_OMG2'),
    path('p2p/NEO/tether/', p2p_sale_NEO2, name='p2p_sale_NEO2'),
    path('p2p/MIOTA/tether/', p2p_sale_MIOTA2, name='p2p_sale_MIOTA2'),
    path('p2p/LSK/tether/', p2p_sale_LSK2, name='p2p_sale_LSK2'),
    path('p2p/KMD/tether/', p2p_sale_KMD2, name='p2p_sale_KMD2'),
    path('p2p/ICX/tether/', p2p_sale_ICX2, name='p2p_sale_ICX2'),
    path('p2p/ETC/tether/', p2p_sale_ETC2, name='p2p_sale_ETC2'),
    path('p2p/DOGE/tether/', p2p_sale_DOGE2, name='p2p_sale_DOGE2'),
    path('p2p/BTG/tether/', p2p_sale_BTG2, name='p2p_sale_BTG2'),
    path('p2p/BNB/tether/', p2p_sale_BNB2, name='p2p_sale_BNB2'),
    path('p2p/BCN/tether/', p2p_sale_BCN2, name='p2p_sale_BCN2'),
    path('p2p/BCH/tether/', p2p_sale_BCH2, name='p2p_sale_BCH2'),
    path('p2p/AE/tether/', p2p_sale_AE2, name='p2p_sale_AE2'),
    path('p2p/ADA/tether/', p2p_sale_ADA2, name='p2p_sale_ADA2'),
    path('p2p/XEM/tether/', p2p_sale_XEM2, name='p2p_sale_XEM2'),
    path('p2p/XLM/tether/', p2p_sale_XLM2, name='p2p_sale_XLM2'),
    path('p2p/XMR/tether/', p2p_sale_XMR2, name='p2p_sale_XMR2'),
    path('p2p/XVG/tether/', p2p_sale_XVG2, name='p2p_sale_XVG2'),
    path('p2p/ZEC/tether/', p2p_sale_ZEC2, name='p2p_sale_ZEC2'),
    path('p2p/ZIL/tether/', p2p_sale_ZIL2, name='p2p_sale_ZIL2'),

]